# uiEqualsTree

Comparing two trees

## Calling Sequence

    isEqual = uiEqualsTree(tree1, tree2)

## Input parameters

tree1, tree2

  are of type uitree

## Output parameters

isEqual

  a Boolean, which indicate if those trees are equal or not

## Description

Compare two uitree structures.

## Examples

    // Creation of trees
    root = uiCreateNode('Root', 'path\rootImage.jpg', 'rootCallback')
    node1 = uiCreateNode('Node 1', 'default', 'node1Callback')
    node2 = uiCreateNode('Node 2', 'default', 'node2Callback')
    myTree1 = uiCreateTree(root, node1, node2)
    myTree2 = uiCreateTree(root, node1, node2)

    // Compare myTree1 with myTree2
    isEqual = uiEqualsTree(myTree1, myTree2)

    // will return 'isEqual = T'

## See Also

- uiCreateNode
- uiCreateTree
- uiDisplayTree
- uiDumpTree
- uiInsertNode
- uiDeleteNode
- uiConcatTree
- uiFindNode
- uiGetParentNode
- uiGetChildrenNode
- uiGetNodePosition